lp:~laney/gimp/gimp-2.6.11-2-merge

Created by Iain Lane on 2011-05-04 and last modified on 2011-05-17
Get this branch:
bzr branch lp:~laney/gimp/gimp-2.6.11-2-merge
Only Iain Lane can upload to this branch. If you are Iain Lane please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Iain Lane
Project:
The Gimp
Status:
Development

Recent revisions

25. By Iain Lane on 2011-05-17

Add forgotten 07_binutils-gold.patch

24. By Iain Lane on 2011-05-04

* Merge with Debian unstable, remaining changes:
  - debian/patches/02_help-message.patch,
    debian/patches/03_gimp.desktop.in.in.patch:
    + Update some strings for Ubuntu
  - debian/control:
    + Update description
    + Change build-depends from libwebkit-dev to libwebkitgtk-dev
  - debian/rules:
    + Set gettext domain and update translation templates
* Fix security issues when reading plugin configuration files and PSP files
  (CVE-2010-4540, CVE-2010-4541, CVE-2010-4542, CVE-2010-4543)
  (Closes: #608497)
  - patches imported from Ubuntu
* Drop libgimp2.0's recommendation on gimp (Closes: #600226)
* remove .la files, even from python modules (Closes: #621230)
* Remove HAL support (Closes: #613201)
* 07_binutils-gold.patch:
  - Allow package to build with binutils-gold

23. By Marc Deslauriers on 2011-04-07

* SECURITY UPDATE: denial of service and possible code execution via
  malformed plugin configuration files
  - debian/patches/05_CVE-2010-454x.patch: fix format strings in
    plug-ins/{common/sphere-designer,gfig/gfig-style,
    lighting/lighting-ui}.c.
  - CVE-2010-4540
  - CVE-2010-4541
  - CVE-2010-4542
* SECURITY UPDATE: denial of service and possible code execution via
  malformed PSP image file
  - debian/patches/06_CVE-2010-4543.patch: fix buffer overflow in
    plug-ins/common/file-psp.c.
  - CVE-2010-4543

22. By Martin Pitt on 2011-01-27

releasing version 2.6.11-1ubuntu5

21. By Martin Pitt on 2011-01-27

debian/control: Drop libhal-dev build dependency. We don't install it any
more, and it's absolutely unsupported these days.

20. By Robert Ancell on 2011-01-11

Commit change that wasn't put into bzr

19. By Robert Ancell on 2011-01-11

* debian/control:
  - Change build-depends from libwebkit-dev to libwebkitgtk-dev

18. By Robert Ancell on 2010-12-06

Remove source version 3.0 log, it was fixed in a previous release

17. By Robert Ancell on 2010-12-06

* debian/control:
  - Add build-depends on dh-autoreconf
  - List dependencies one line per dependency
  - Use standards version 3.9.1
  - Add ${misc:Depends} to all packages
* debian/rules:
  - Drop simple-patchsys.mk, not required for source version 3.0
  - Use autoreconf.mk
* debian/source:
  - Use source version 3.0
* debian/patches/04_gold_linker.patch:
  - Explicitly specify library dependencies at link time, so we can use gold

16. By Robert Ancell on 2010-12-06

BAD SEB! Not committing to bzr...

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:gimp
This branch contains Public information 
Everyone can see this information.

Subscribers